NotaryInfo
Keywords: net.corda.core.node.NotaryInfo class
Date: 2023-09-18

net.corda.core.node

## Class NotaryInfo

- net.corda.core.node.NotaryInfo

-     public class NotaryInfo

  Data class storing information about notaries available in the network.

- - ### Constructor Detail

    - #### NotaryInfo

          public NotaryInfo(@NotNull
                            Party identity,
                            boolean validating)

      Data class storing information about notaries available in the network.

      Parameters:
        `identity` - Identity of the notary (note that it can be an identity of the distributed node).
        `validating` - Indicates if the notary is validating.

  - ### Method Detail

    - #### getIdentity

          @NotNull
          public Party getIdentity()

      Identity of the notary

      (note that it can be an identity of the distributed node).

    - #### getValidating

          public boolean getValidating()

      Indicates if the notary is validating.

    - #### component1

          @NotNull
          public Party component1()

      Identity of the notary

      (note that it can be an identity of the distributed node).

    - #### component2

          public boolean component2()

      Indicates if the notary is validating.

    - #### copy

          @NotNull
          public NotaryInfo copy(@NotNull
                                          Party identity,
                                          boolean validating)

      Data class storing information about notaries available in the network.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Data class storing information about notaries available in the network.

    - #### hashCode

          public int hashCode()

      Data class storing information about notaries available in the network.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Data class storing information about notaries available in the network.